For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get support
HomeDocsAPI ReferenceRelease Notes
HomeDocsAPI ReferenceRelease Notes
  • Payments API
    • POSTRefresh API Keys
    • POSTCharge
    • POSTCapture
    • POSTVoid or Refund
    • POSTCheck Surcharge
    • POSTCreate Hosted Payment Page
    • PUTEdit Hosted Payment Page
    • POSTCreate Vault Payment Account
    • GETGet Vault Payment Account
    • DELDelete a Vault Payment Account
    • PUTUpdate Vault Account Details
    • POSTCreate Billing Plan
    • GETGet Billing Plan
    • DELCancel Billing Plan
  • Authentication (Reporting & Boarding)
    • POSTGet access token
  • Reporting API
    • GETGet transactions data
    • GETGet deposits data
    • GETGet chargebacks data
    • GETGet adjustments data
  • Boarding API
    • GETList merchants
    • POSTCreate a new merchant
    • GETGet a single merchant
Get support
LogoLogo

Refresh API Keys

POST
https://javelin.runpayments.io/api/v1/api_keys/refresh
POST
/api/v1/api_keys/refresh
$curl -X POST https://javelin.runpayments.io/api/v1/api_keys/refresh \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c2VyQGV4YW1wbGUuY29tIiwiaWF0IjoxNjg4MDAwMDAwLCJleHAiOjE2ODgwMDM2MDB9.4f5G7h8Jk9LmN0pQrStUvWxYzABcDeFgHiJkLmNoPqR"
>}'
1{
2 "api_key": "sk_live_4e5f6g7h8i9j0klmnopqrstuvwx",
3 "public_key": "pk_live_1a2b3c4d5e6f7g8h9i0jklmnopqrst",
4 "refresh_token": "rt_live_9z8y7x6w5v4u3t2s1rqponmlkjihgfedcba",
5 "api_key_expires_at": 1714531200,
6 "refresh_token_expires_at": 1746067200
7}
Refreshes existing API keys and returns new tokens
Was this page helpful?

Charge

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
tokenstringRequired

Payments API Key - Provided by your Integration Lead or generated in Run Merchant.

Response

API keys refreshed successfully
api_keystring
New API key
public_keystring

Public key (does not change with refresh)

refresh_tokenstring
New refresh token
api_key_expires_atinteger
Unix timestamp for API key expiration.
refresh_token_expires_atinteger
Unix timestamp for Refresh token expiration.

Errors

401
Unauthorized Error